The MariaDB project is pleased to announce the immediate availability of MariaDB Galera Cluster 5.5.35. This is a Stable release.

See the Release Notes and Changelog for detailed information on this release and the Galera page in the MariaDB Knowledge Base for general information about MariaDB Galera Cluster.

Download MariaDB Galera Cluster 5.5.35

Release Notes Changelog About MariaDB Galera Cluster

Thanks, and enjoy MariaDB!

  • http://lawver.net/ Kevin Lawver

    Upgrading to 5.5.35 on Ubuntu 10.04 causes the service not to start. The error in the log is:

    WSREP: wsrep_load(): loading provider library ‘/usr/lib/galera/libgalera_smm.so’
    WSREP: wsrep_load(): dlopen(): libssl.so.1.0.0: cannot open shared object file: No such file or directory
    WSREP: wsrep_load(/usr/lib/galera/libgalera_smm.so) failed: Invalid argument (22). Reverting to no provider.

    Ubuntu 10.04 is only up to OpenSSL 0.9.8 and upgrading it manually is problematic at best. Any chance we can get a fixed package today, or instructions for a fix?

  • Philipp Kraut

    Thanks for the upgrade. We love to use mariadb galera cluster. But i think it should have mentioned that using galera 25 is mandatory (or at least default) and that galera 25 is not backward compatible to galera 23.
    So basically its not possible to do a rolling upgrade of the cluster nodes without interruption.
    We took one node from the cluster, upgraded it and bootstraped a new cluster on it, after directing all the traffic to the node we upgrade the remaining two nodes an joined them to the new cluster.

    • http://lawver.net/ Kevin Lawver

      That explains why I couldn’t get a 5.5.35 node added to a 5.5.34 cluster. This upgrade has been horrible between this and the Ubuntu 10.04 issue (the new galera version required OpenSSL 1.0, and there’s no backport available for Ubuntu 10.04 – but it installs and then refuses to run).